aboutsummaryrefslogtreecommitdiff
path: root/bin/setup
diff options
context:
space:
mode:
authorhellekin <hellekin@cepheide.org>2020-10-05 14:11:43 +0200
committerhellekin <hellekin@cepheide.org>2020-10-05 14:11:43 +0200
commit8fa725f194b129e11514c2291067576c886c3232 (patch)
tree9695f9f2a311a899a4a4342a8e17a7371876f7e2 /bin/setup
downloadincommon-map-8fa725f194b129e11514c2291067576c886c3232.tar.gz
rails new incommon-map -d postgresql -C -T
Diffstat (limited to 'bin/setup')
-rwxr-xr-xbin/setup36
1 files changed, 36 insertions, 0 deletions
diff --git a/bin/setup b/bin/setup
new file mode 100755
index 0000000..5853b5e
--- /dev/null
+++ b/bin/setup
@@ -0,0 +1,36 @@
+#!/usr/bin/env ruby
+require 'fileutils'
+
+# path to your application root.
+APP_ROOT = File.expand_path('..', __dir__)
+
+def system!(*args)
+ system(*args) || abort("\n== Command #{args} failed ==")
+end
+
+FileUtils.chdir APP_ROOT do
+ # This script is a way to setup or update your development environment automatically.
+ # This script is idempotent, so that you can run it at anytime and get an expectable outcome.
+ # Add necessary setup steps to this file.
+
+ puts '== Installing dependencies =='
+ system! 'gem install bundler --conservative'
+ system('bundle check') || system!('bundle install')
+
+ # Install JavaScript dependencies
+ # system('bin/yarn')
+
+ # puts "\n== Copying sample files =="
+ # unless File.exist?('config/database.yml')
+ # FileUtils.cp 'config/database.yml.sample', 'config/database.yml'
+ # end
+
+ puts "\n== Preparing database =="
+ system! 'bin/rails db:prepare'
+
+ puts "\n== Removing old logs and tempfiles =="
+ system! 'bin/rails log:clear tmp:clear'
+
+ puts "\n== Restarting application server =="
+ system! 'bin/rails restart'
+end